button {
  all: unset;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  display: none;
}

// BUTTONS
// Primary Button
// Large is default
.fr-btn-primary{
  @include pxToRem(16);
  padding: 12px 10px;
  font-weight: $font-weight-medium;
  text-transform: capitalize;
  border-radius: 5px;
  color: $fr-white;
  background-color: $fr-primary-200;
  transition: background-color 0.2s ease-in;
  &:hover{
    background-color: $fr-grey-300;
  }
  &:disabled{
    background-color: $fr-grey-200;
    user-select: none;
  }
  // Small
  &.small{
    @include pxToRem(14)
  }
}
// Tertiary Button
.fr-btn-secondary{
  @include pxToRem(16);
  padding: 12px 10px;
  font-weight: $font-weight-medium;
  border-radius: 5px;
  color: $fr-white;
  text-transform: capitalize;
  background-color: $fr-grey-300;
  transition: all 0.2s ease-in;
  &:hover{
    background-color: lighten($color: $fr-grey-300, $amount: 5);
  }
  &:disabled{
    color: $fr-grey-100;
    user-select: none;
  }
    // Small
    &.small{
      @include pxToRem(14)
    }
}
// Secondary Button
.fr-btn-tertiary{
  @include pxToRem(16);
  padding: 12px 10px;
  font-weight: $font-weight-medium;
  border-radius: 5px;
  color: $fr-primary-200;
  text-transform: capitalize;
  box-shadow: inset 0px 0px 0px 2px $fr-primary-200;
  background-color: transparent;
  transition: all 0.2s ease-in;
  &:hover{
     color: $fr-grey-300;
     box-shadow: inset 0px 0px 0px 2px $fr-grey-300;
  }
  &:disabled{
    color: $fr-grey-200;
    user-select: none;
    box-shadow: inset 0px 0px 0px 2px $fr-grey-200;
  }
    // Small
    &.small{
      @include pxToRem(14)
    }
}
// Secondary Button
.fr-btn-tertiary-w{
  @include pxToRem(16);
  padding: 12px 15px;
  font-weight: $font-weight-medium;
  border-radius: 5px;
  color: $fr-white;
  box-shadow: inset 0px 0px 0px 2px $fr-white;
  background-color: transparent;
  transition:  background-color 0.3s ease-in;
  &:hover{
    color: $fr-secondary-o-300;
    background-color: $fr-white;
  }
  &:disabled{
    color: $fr-grey-200;
    user-select: none;
    box-shadow: inset 0px 0px 0px 2px $fr-grey-200;
  }
    // Small
    &.small{
      @include pxToRem(14)
    }
}
// White Button
.fr-btn-white{
  @include pxToRem(16);
  padding: 12px 60px;
  font-weight: $font-weight-medium;
  border-radius: 5px;
  color: $fr-primary-300;
  box-shadow: inset 0px 0px 0px 2px $fr-white;
  background-color: $fr-white;
    // Small
    &.small{
      @include pxToRem(14)
    }
}